WordPress.org

Ready to get started?Download WordPress

Plugin Directory

PROPER Widgets

Creates easy-to-use, helpful widgets

Requires: 3.0 or higher
Compatible up to: 4.0
Last Updated: 2014-8-25
Downloads: 6,231

Ratings

4 stars
4.8 out of 5 stars

Support

1 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1